#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

Summary:	A C++ interface for atk library
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki atk
Name:		atkmm
Version:	2.28.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/atkmm/2.28/%{name}-%{version}.tar.xz
# Source0-md5:	6194ac577f15567adfa3c923944c6651
URL:		http://www.gtkmm.org/
BuildRequires:	atk-devel >= 1:2.18.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	glibmm-devel >= 2.46.2
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	atk >= 1:2.18.0
Requires:	glibmm >= 2.46.2
Provides:	gtkmm-atk
Obsoletes:	gtkmm-atk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C++ interface for atk library.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki atk.

%package devel
Summary:	Header files for atkmm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki atkmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	atk-devel >= 1:2.18.0
Requires:	glibmm-devel >= 2.46.2
Requires:	libstdc++-devel >= 6:4.7
Provides:	gtkmm-atk-devel
Obsoletes:	gtkmm-atk-devel

%description devel
Header files for atkmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki atkmm.

%package apidocs
Summary:	atkmm API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki atkmm
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for atkmm library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki atkmm.

%package static
Summary:	atkmm static library
Summary(pl.UTF-8):	Biblioteka statyczna atkmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	gtkmm-atk-static
Obsoletes:	gtkmm-atk-static

%description static
Static atkmm library.

%description static -l pl.UTF-8
Statyczna biblioteka atkmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdocdir=%{_gtkdocdir}/atkmm-1.6 \
	devhelpdir=%{_gtkdocdir}/atkmm-1.6

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libatkmm-1.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatkmm-1.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatkmm-1.6.so
%{_libdir}/atkmm-1.6
%{_includedir}/atkmm-1.6
%{_pkgconfigdir}/atkmm-1.6.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/atkmm-1.6

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatkmm-1.6.a
%endif
%changelog
* Tue Aug 13 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/atkmm.git;a=log;h=master

* Tue Nov 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 4d8c8b3
- updated to 2.28.0

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 3469dcc
- updated to 2.24.2

* Tue Sep 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 1c3f11b
- updated to 2.24.1; C++11 now

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 8a0d9a6
- x32 rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 82e6726
- noarch apidocs

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 252e700
- updated to 2.22.7

* Wed Oct 26 2011 Jakub Bogusz <qboosh@pld-linux.org> a2414eb
- updated libtool version

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8ba4dd6
- updated to 2.22.6

* Fri Apr 01 2011 lisu <lisu@pld-linux.org> 3126f66
- updated to 2.22.5
- mm-common >= 0.9.5 required

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> 81640a5
- up to 2.22.4

* Thu Mar 24 2011 Artur Frysiak <artur@frysiak.net> 35871c8
- up to 2.22.3

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 4f717dc
- drop libtool file
- rel. 2

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 8c7624e
- updated to 2.22.2

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> 40aa998
- 2.22.1

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 84d50b7
- LGPL v2.1 "or later"

* Fri Oct 15 2010 lisu <lisu@pld-linux.org> 70d9927
- Provides for gtkmm-atk-static

* Wed Oct 13 2010 lisu <lisu@pld-linux.org> d6bcf0c
- add -static subpackage and static_libs bcond

* Wed Oct 13 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 5e5ed5e
- new

